Results for spec/AMD_conservative_depth/glsl-1.30/compiler/no-redeclaration-01.vert

Overview

Status: fail
Result: fail

Back to summary

Details

Detail Value
returncode 1
time 0.536962032318
note
Returncode was 1
command
/home/airlied/piglit/framework/../bin/glslparsertest tests/spec/amd_conservative_depth/glsl-1.30/compiler/no-redeclaration-01.vert pass 1.30 GL_AMD_conservative_depth
errors
  • Failed to compile vertex shader tests/spec/amd_conservative_depth/glsl-1.30/compiler/no-redeclaration-01.vert: Vertex shader failed to compile with the following errors:
  • ERROR: 0:15: error(#61) Required extension isn't found, extension 'GL_AMD_conservative_depth' is not supported
  • ERROR: error(#273) 1 compilation errors.  No code generated
info
Returncode: 1

Errors:
Failed to compile vertex shader tests/spec/amd_conservative_depth/glsl-1.30/compiler/no-redeclaration-01.vert: Vertex shader failed to compile with the following errors:
ERROR: 0:15: error(#61) Required extension isn't found, extension 'GL_AMD_conservative_depth' is not supported
ERROR: error(#273) 1 compilation errors.  No code generated



Output:
Shader source:
// [config]
// expect_result: pass
// glsl_version: 1.30
// require_extensions: GL_AMD_conservative_depth
// [end config]
//
// Require AMD_conservative_depth in the vertex shader, but don't use any of its
// features.
//
// The AMD_conservative_depth spec says nothing of vertex shaders, and does not
// explicitly restrict the extension to the fragment shader, so it shouldn't be
// an error to require the extension here.

#version 130
#extension GL_AMD_conservative_depth: require

float f() {
    return 0.0;
}

Back to summary